import Vue from 'vue'

import EasyForm from './EasyForm'
import EasyFormItem from './EasyFormItem'
import EasyTable from './EasyTable'
import EditTable from './EditTable'
import './EasyDialog/index.js'
import { ComponentConfig } from './globalConfig'

Vue.component('easy-form', EasyForm)
Vue.component('easy-form-item', EasyFormItem)
Vue.component('easy-table', EasyTable)
Vue.component('edit-table', EditTable)

export default function setConfig(config) {
  for (const key in config) {
    ComponentConfig[key] = config[key]
  }
}
